CRYPTO_ALLOC_BLKCIPH(9)

NAME
crypto_alloc_blkcipher - allocate synchronous block cipher handle

SYNOPSIS

struct crypto_blkcipher * crypto_alloc_blkcipher(const char * alg_name, u32 type, u32 mask);

ARGUMENTS

alg_name
    is the cra_name / name or cra_driver_name / driver name of the blkcipher cipher

type
    specifies the type of the cipher

mask
    specifies the mask for the cipher

DESCRIPTION

Allocate a cipher handle for a block cipher. The returned struct crypto_blkcipher is the cipher handle that is required for any subsequent API invocation for that block cipher.

RETURN

allocated cipher handle in case of success; IS_ERR is true in case of an error, PTR_ERR returns the error code.

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT